org.apache.cassandra.service.pager

## Class NamesQueryPager

- java.lang.Object
- - org.apache.cassandra.service.pager.NamesQueryPager

All Implemented Interfaces:
  QueryPager, SinglePartitionPager

    public class NamesQueryPager
    extends java.lang.Object
    implements SinglePartitionPager

Pager over a SliceByNamesReadCommand.

### Method Summary

All Methods Instance Methods Concrete Methods
`ColumnCounter` `columnCounter()`
`java.util.List<Row>` `fetchPage(int pageSize)` Fetches the next page.
`boolean` `isExhausted()` Whether or not this pager is exhausted, i.e.
`java.nio.ByteBuffer` `key()`
`int` `maxRemaining()` The maximum number of cells/CQL3 row that we may still have to return.
`PagingState` `state()` Get the current state of the pager.
`long` `timestamp()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### key

    public java.nio.ByteBuffer key()

Specified by:
  `key` in interface `SinglePartitionPager`

#### columnCounter

    public ColumnCounter columnCounter()

Specified by:
  `columnCounter` in interface `SinglePartitionPager`

#### state

    public PagingState state()

Description copied from interface: `QueryPager`
Get the current state of the pager. The state can allow to restart the paging on another host from where we are at this point.

Specified by:
  `state` in interface `QueryPager`
Returns:
  the current paging state. Will return null if paging is at the beginning. If the pager is exhausted, the result is undefined.

#### isExhausted

    public boolean isExhausted()

Description copied from interface: `QueryPager`
Whether or not this pager is exhausted, i.e. whether or not a call to fetchPage may return more result.

Specified by:
  `isExhausted` in interface `QueryPager`
Returns:
  whether the pager is exhausted.

#### fetchPage

    public java.util.List<Row> fetchPage(int pageSize)
                                  throws RequestValidationException,
                                         RequestExecutionException

Description copied from interface: `QueryPager`
Fetches the next page.

Specified by:
  `fetchPage` in interface `QueryPager`
Parameters:
  `pageSize` - the maximum number of elements to return in the next page.
Returns:
  the page of result.
Throws:
  `RequestValidationException`
  `RequestExecutionException`

#### maxRemaining

    public int maxRemaining()

Description copied from interface: `QueryPager`
The maximum number of cells/CQL3 row that we may still have to return. In other words, that's the initial user limit minus what we've already returned (note that it's not how many we *will* return, just the upper limit on it).

Specified by:
  `maxRemaining` in interface `QueryPager`

#### timestamp

    public long timestamp()